<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>
	<link rel="stylesheet" type="text/css" href="lib/jquery-ui-1.8.4.css" />
	<link rel="stylesheet" type="text/css" href="reset.css" />
	<link rel="stylesheet" type="text/css" href="index.css" />
	<link rel="stylesheet" type="text/css" href="jquery.ganttView.css" />
	<style type="text/css">
		body {
			font-family: tahoma, verdana, helvetica;
			font-size: 0.8em;
			padding: 10px;
		}
	</style>
	<title>jQuery Gantt</title>
</head>
<body>

	<div id="content">
		<div id="ganttChart"></div>
		<br/><br/>
		<div id="eventMessage"></div>
	</div>
	<script type="text/javascript" src="lib/jquery-1.4.2.js"></script>
	<script type="text/javascript" src="lib/date.js"></script>
	<script type="text/javascript" src="lib/jquery-ui-1.8.4.js"></script>
	<script type="text/javascript" src="jquery.ganttView.js"></script>
	<script type="text/javascript" src="europe.js"></script>
	<script type="text/javascript" src="data.js"></script>
	<script type="text/javascript">
		$(function () {

			var url_string = window.location.href;
			var url = new URL(url_string);
			var mode = url.searchParams.get("mode");


			var initialData;

			if( mode == 'europe' ){
				initialData = ganttDataEurope;
			}else if( mode == 'events' ){
				initialData = ganttDataEvents;
			}else{
				initialData = ganttDataTest;
			}

			$("#ganttChart").ganttView({ 
				data: initialData,
				//slideWidth: 900,
				behavior: {
					onClick: function (data) { 
						var msg = "You clicked on an event: { start: " + data.start.toString("M/d/yyyy") + ", end: " + data.end.toString("M/d/yyyy") + " }";
						$("#eventMessage").text(msg);
					},
					onResize: function (data) { 
						var msg = "You resized an event: { start: " + data.start.toString("M/d/yyyy") + ", end: " + data.end.toString("M/d/yyyy") + " }";
						$("#eventMessage").text(msg);
					},
					onDrag: function (data) { 
						var msg = "You dragged an event: { start: " + data.start.toString("M/d/yyyy") + ", end: " + data.end.toString("M/d/yyyy") + " }";
						$("#eventMessage").text(msg);
					}
				}
			});
			
			$("#ganttChart").width('auto');
			$("#ganttChart").ganttView("setSlideWidth", 'auto');
		});
	</script>

</body>
</html>